Class InvokeInferenceRouterRequest

  • Method Details

    • inferenceRouterName

      public final String inferenceRouterName()

      The name of the inference router to invoke.

      Returns:
      The name of the inference router to invoke.
    • routingTargetName

      public final String routingTargetName()

      The name of the routing target in the inference router. The routing target lists the destinations that can serve the request.

      Returns:
      The name of the routing target in the inference router. The routing target lists the destinations that can serve the request.
    • contentType

      public final String contentType()

      The MIME type of the input data in the request body. The router passes it to the destination.

      Returns:
      The MIME type of the input data in the request body. The router passes it to the destination.
    • accept

      public final String accept()

      The MIME type that you want for the inference response. The router passes it to the destination.

      Returns:
      The MIME type that you want for the inference response. The router passes it to the destination.
    • inferenceId

      public final String inferenceId()

      An identifier for the inference request. The router passes it to the destination.

      Returns:
      An identifier for the inference request. The router passes it to the destination.
    • prefixAwareId

      public final String prefixAwareId()

      An optional, stable identifier that serves as a routing hint for prefix-aware routing. The router passes it to the destination that serves the request. Within that destination, requests with the same prefix and the same identifier go to the same instance. If requests from different applications might have the same prompt prefix, set a different identifier for each application to differentiate their routing decisions.

      Applies only to destination endpoints configured with a RoutingStrategy of PREFIX_AWARE .

      Returns:
      An optional, stable identifier that serves as a routing hint for prefix-aware routing. The router passes it to the destination that serves the request. Within that destination, requests with the same prefix and the same identifier go to the same instance. If requests from different applications might have the same prompt prefix, set a different identifier for each application to differentiate their routing decisions.

      Applies only to destination endpoints configured with a RoutingStrategy of PREFIX_AWARE.

    • customAttributes

      public final String customAttributes()

      Provides additional information about the inference request. The value is an opaque string that the router passes, unchanged, to the model container of the destination that serves the request. The value can contain up to 1,024 visible US-ASCII characters.

      Returns:
      Provides additional information about the inference request. The value is an opaque string that the router passes, unchanged, to the model container of the destination that serves the request. The value can contain up to 1,024 visible US-ASCII characters.
    • body

      public final SdkBytes body()

      The input data for the inference, in the format that your model expects. The body can't be empty.

      Returns:
      The input data for the inference, in the format that your model expects. The body can't be empty.
    • toBuilder

      Description copied from interface: ToCopyableBuilder
      Take this object and create a builder that contains all of the current property values of this object.
      Specified by:
      toBuilder in interface ToCopyableBuilder<InvokeInferenceRouterRequest.Builder,InvokeInferenceRouterRequest>
      Specified by:
      toBuilder in class SageMakerInferenceRouterRuntimeRequest
      Returns:
      a builder for type T
    • builder

      public static InvokeInferenceRouterRequest.Builder builder()
    • serializableBuilderClass

      public static Class<? extends InvokeInferenceRouterRequest.Builder> serializableBuilderClass()
    • hashCode

      public final int hashCode()
      Overrides:
      hashCode in class AwsRequest
    • equals

      public final boolean equals(Object obj)
      Overrides:
      equals in class AwsRequest
    • equalsBySdkFields

      public final boolean equalsBySdkFields(Object obj)
      Description copied from interface: SdkPojo
      Indicates whether some other object is "equal to" this one by SDK fields. An SDK field is a modeled, non-inherited field in an SdkPojo class, and is generated based on a service model.

      If an SdkPojo class does not have any inherited fields, equalsBySdkFields and equals are essentially the same.

      Specified by:
      equalsBySdkFields in interface SdkPojo
      Parameters:
      obj - the object to be compared with
      Returns:
      true if the other object equals to this object by sdk fields, false otherwise.
    • toString

      public final String toString()
      Returns a string representation of this object. This is useful for testing and debugging. Sensitive data will be redacted from this string using a placeholder value.
      Overrides:
      toString in class Object
    • getValueForField

      public final <T> Optional<T> getValueForField(String fieldName, Class<T> clazz)
      Description copied from class: SdkRequest
      Used to retrieve the value of a field from any class that extends SdkRequest. The field name specified should match the member name from the corresponding service-2.json model specified in the codegen-resources folder for a given service. The class specifies what class to cast the returned value to. If the returned value is also a modeled class, the SdkRequest.getValueForField(String, Class) method will again be available.
      Overrides:
      getValueForField in class SdkRequest
      Parameters:
      fieldName - The name of the member to be retrieved.
      clazz - The class to cast the returned object to.
      Returns:
      Optional containing the casted return value
    • sdkFields

      public final List<SdkField<?>> sdkFields()
      Specified by:
      sdkFields in interface SdkPojo
      Returns:
      List of SdkField in this POJO. May be empty list but should never be null.
    • sdkFieldNameToField

      public final Map<String,SdkField<?>> sdkFieldNameToField()
      Specified by:
      sdkFieldNameToField in interface SdkPojo
      Returns:
      The mapping between the field name and its corresponding field.